# PSF-LoginServer - master - net.psforever.objects.teamwork.SquadFeatures
PSF - LoginServer - master - net.psforever.objects.teamwork.SquadFeatures
Keywords: PSF LoginServer master net.psforever.objects.teamwork.SquadFeatures

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package teamwork
  Definition Classes
    objects
- Member
- Squad
- SquadFeatures

c

net.psforever.objects.teamwork

# SquadFeatures

###

#### class SquadFeatures extends AnyRef

Source
  SquadFeatures.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SquadFeatures
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SquadFeatures(Squad: Squad)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AutoApproveInvitationRequests: Boolean
5.  def AutoApproveInvitationRequests_=(autoApprove: Boolean): Boolean
6.  def InitialAssociation: Boolean
7.  def InitialAssociation_=(assoc: Boolean): Boolean
8.  def Listed: Boolean
9.  def Listed_=(announce: Boolean): Boolean
10.  def LocationFollowsSquadLead: Boolean
11.  def LocationFollowsSquadLead_=(follow: Boolean): Boolean
12.  def ProxyInvites: List[Long]
13.  def ProxyInvites_=(list: List[Long]): List[Long]
14.  def Refuse: List[Long]
15.  def Refuse_=(list: List[Long]): List[Long]
16.  def Refuse_=(charId: Long): List[Long]
17.  def SearchForRole: Option[Int]
18.  def SearchForRole_=(role: Option[Int]): Option[Int]
19.  def SearchForRole_=(role: Int): Option[Int]
20.  val Squad: Squad
21.  def Start(implicit context: ActorContext): SquadFeatures
22.  def Stop: SquadFeatures
23.  def Switchboard: ActorRef
24.  def ToChannel: String
25.  def Waypoints: Array[WaypointData]
26.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
27.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
28.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
30.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
31.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
32.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
33.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
34.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
35.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
37.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
38.  def toString(): String
    Definition Classes
      AnyRef → Any
39.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
40.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
41.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped